=== debian/changelog ===
elixir-lang (1.9.1.dfsg-1~ubuntu18.04.1) bionic-backports; urgency=medium

  * No-change backport to bionic (LP: #1864212)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 20 Apr 2020 16:23:30 +0100
