=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg//,repacksuffix=.dfsg \
https://github.com/elixir-lang/elixir/releases/ .*/elixir/archive/v([0-9.]*).tar.gz
