=== debian/changelog ===
elixir-lang (1.12.2.dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark autopkgtest as flaky (see #997801)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 24 Feb 2022 08:47:39 -0300

elixir-lang (1.12.2.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix a test to build with erlang 24.1 (closes: #996437).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Oct 2021 10:18:35 +0300

elixir-lang (1.12.2.dfsg-2) unstable; urgency=medium

  * Fix debian/watch
  * Use debhelper 13

 -- Evgeny Golyshev <eugulixes@gmail.com>  Tue, 24 Aug 2021 16:41:05 +0300

elixir-lang (1.12.2.dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #992719).
  * Require Erlang 22.0 or later.
  * Remove use_rebar_instead_of_rebar3_in_tests.patch since it was accepted to
    upstream (see https://github.com/elixir-lang/elixir/pull/10022).
  * Update debian/patches/remove_rebar3_related_tests.patch.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Tue, 24 Aug 2021 14:42:48 +0300
