=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Evgeny Golyshev <eugulixes@gmail.com>
-Build-Depends: debhelper (>= 10),
-               erlang-crypto (>= 1:21),
-               erlang-dev (>= 1:21),
-               erlang-dialyzer (>= 1:21),
-               erlang-eunit (>= 1:21),
-               erlang-parsetools (>= 1:21),
-               erlang-src (>= 1:21),
+Build-Depends: debhelper-compat (= 13),
+               erlang-crypto (>= 1:24.1),
+               erlang-dev (>= 1:24.1),
+               erlang-dialyzer (>= 1:24.1),
+               erlang-eunit (>= 1:24.1),
+               erlang-parsetools (>= 1:24.1),
+               erlang-src (>= 1:24.1),
                git,
                rebar
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
 Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
 Homepage: http://elixir-lang.org/
