=== debian/changelog ===
elixir-lang (1.14.0.dfsg-2) unstable; urgency=medium

  * Get rid of .home since debhelper 13 sets HOME to
    debian/.debhelper/generated/_source/home.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Sat, 08 Oct 2022 19:54:46 +0300

elixir-lang (1.14.0.dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #1020839).
  * Get rid of remove_rebar3_related_tests.patch since rebar3 is finally
    available in Debian Bookworm.
  * Switch to rebar3.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Sun, 02 Oct 2022 21:17:01 +0300
