=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-parsetools (>= 1:24.1),
                erlang-src (>= 1:24.1),
                git,
-               rebar
+               rebar3
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
 Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
