=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg//,repacksuffix=.dfsg \
https://github.com/elixir-lang/elixir/tags/ .*/v([0-9.]*).tar.gz
