## elixir-lang 1.17.3.dfsg

=== debian/changelog ===
elixir-lang (1.17.3.dfsg-2) unstable; urgency=medium

  * Adapt debian/tests/run-all to Elixir 1.17.3.
  * Remove erlang-24.1.patch, as it's no longer needed.
  * Accept patch from Bo YU to fix FTBFS on riscv64 (closes: #1089650).
  * Replace rebar for rebar3 in debian/tests/control.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Wed, 18 Dec 2024 16:56:09 +0300

elixir-lang (1.17.3.dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #1078070).
  * Require Erlang 25.0 or later.
  * Refresh patches/erlang-24.1.patch.
  * Update debian/patches/remove-utf8-warning.patch.
  * Do not mention rebar in debian/changelog, as Elixir no longer
    includes it.
  * Add fix-tests-under-erlang-27.1.patch from Igor Goryachev to fix logger
    translator tests under Erlang 27.1.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Tue, 03 Dec 2024 17:44:43 +0300
