=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Evgeny Golyshev <eugulixes@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               erlang-crypto (>= 1:24.1),
-               erlang-dev (>= 1:24.1),
-               erlang-dialyzer (>= 1:24.1),
-               erlang-eunit (>= 1:24.1),
-               erlang-parsetools (>= 1:24.1),
-               erlang-src (>= 1:24.1),
+               erlang-crypto (>= 1:25),
+               erlang-dev (>= 1:25),
+               erlang-dialyzer (>= 1:25),
+               erlang-eunit (>= 1:25),
+               erlang-parsetools (>= 1:25),
+               erlang-src (>= 1:25),
                git,
                rebar3
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
 Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
 Homepage: http://elixir-lang.org/
